msgpack::object_ext Struct Reference

`#include <object_fwd.hpp>`

## Public Member Functions

int8_t | type () const
const char * | data () const

## Public Attributes

uint32_t | size
const char * | ptr

## Member Function Documentation

## data()

const char* msgpack::object_ext::data | ( |  | ) | const

inline

References msgpack::object_array::ptr.

Referenced by msgpack::adaptor::convert< msgpack::type::ext >::operator()(), and msgpack::adaptor::pack< msgpack::object >::operator()().

## type()

int8_t msgpack::object_ext::type | ( |  | ) | const

inline

References msgpack::object_array::ptr.

Referenced by msgpack::adaptor::convert< msgpack::type::ext >::operator()(), and msgpack::adaptor::pack< msgpack::object >::operator()().

## Member Data Documentation

## ptr

const char* msgpack::object_ext::ptr

Referenced by msgpack::adaptor::object_with_zone< msgpack::type::ext >::operator()(), msgpack::adaptor::convert< msgpack::type::ext_ref >::operator()(), msgpack::adaptor::object< msgpack::type::ext_ref >::operator()(), msgpack::adaptor::object_with_zone< msgpack::object >::operator()(), msgpack::operator==(), msgpack::detail::unpack_ext(), and msgpack::detail::create_object_visitor::visit_ext().

## size

uint32_t msgpack::object_ext::size

Referenced by msgpack::aligned_zone_size(), msgpack::adaptor::convert< msgpack::type::ext >::operator()(), msgpack::adaptor::object_with_zone< msgpack::type::ext >::operator()(), msgpack::adaptor::convert< msgpack::type::ext_ref >::operator()(), msgpack::adaptor::object< msgpack::type::ext_ref >::operator()(), msgpack::adaptor::pack< msgpack::object >::operator()(), msgpack::adaptor::object_with_zone< msgpack::object >::operator()(), msgpack::operator==(), msgpack::detail::unpack_ext(), and msgpack::detail::create_object_visitor::visit_ext().

The documentation for this struct was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/object_fwd.hpp